Bug 798649 - RFE - Better listing of products and repos
RFE - Better listing of products and repos
Status: CLOSED UPSTREAM
Product: Katello
Classification: Community
Component: Client (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Petr Chalupa
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 08:53 EST by Lukas Zapletal
Modified: 2015-05-04 21:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 09:09:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2012-02-29 08:53:48 EST
Our listing of products and repos does not show the last date/time of a sync.

It is hard to determine when the product/repo was synced. Consider this example:

katello> product list  --environment Library
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                                          Product List For Organization redhat, Environment 'Library'
 
 Id          Name                                                                     Provider Id   Provider Name   Sync Plan Name   GPG key 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 71          Red Hat Enterprise Linux Workstation                                     2             Red Hat         None                     
 90          Red Hat Enterprise Linux Resilient Storage for RHEL Server               2             Red Hat         None                     
 83          Red Hat Enterprise Linux High Availability for RHEL Server               2             Red Hat         None                     
 85          Red Hat Enterprise Linux Load Balancer for RHEL Server                   2             Red Hat         None                     
 69          Red Hat Enterprise Linux Server                                          2             Red Hat         None                     
 167         Red Hat CloudForms                                                       2             Red Hat         None                     
 92          Red Hat Enterprise Linux Scalable File System for RHEL Server            2             Red Hat         None                     
 SYS0395     Red Hat Employee Subscription                                            2             Red Hat         None                     
 RH0197181   Red Hat Enterprise Linux Server Self-support 1-2 sockets Up to 1 guest   2             Red Hat         None             
 
 
       
katello> product list  --environment Stage
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                                           Product List For Organization redhat, Environment 'Stage'
 
 Id   Name                              Provider Id   Provider Name   Sync Plan Name   GPG key 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 69   Red Hat Enterprise Linux Server   2             Red Hat         None                     
 167  Red Hat CloudForms                2             Red Hat         None

So is the Red Hat CloudForms product up-to-date or not? I would suggest to replace Sync Plan column which is not as much valuable as Last sync.
Comment 1 Petr Chalupa 2012-04-04 10:03:20 EDT
fixed in 8f5dabc81d21a5833c6c50754adfc97c639dc195
Comment 2 Bryan Kearney 2012-07-17 09:09:52 EDT
Moving all community bugs with fixes to closed.

Note You need to log in before you can comment on or make changes to this bug.